module.exports = {
  data () {
    return {}
  },
  methods: {
    // 查询节点信息
    $uGetRect (selector, all) {
      return new Promise(resolve => {
        uni
          .createSelectorQuery()
          .in(this)
          [all ? 'selectAll' : 'select'](selector)
          .boundingClientRect(rect => {
            if (all && Array.isArray(rect) && rect.length) {
              resolve(rect)
            }
            if (!all && rect) {
              resolve(rect)
            }
          })
          .exec()
      })
    }
  },
  onReachBottom () {
    uni.$emit('uOnReachBottom')
  }
}
